//UART INTERFACE PART - 1 
//BASIC USAGES OF UART & library functions introduction
//CREATED BY : JAYDEEP SHAH --radhey04ec@gmail.com

/*Steps :
1) UART CLASS OBJECT CREATION WITH PORT PIN NAME
2) BAUD RATE (NOTE : THESE ALL PARAMETERS MUST BE INSIDE MAIN / OR OTHER FUNCTIONS
3) UART FORMAT : TOTAL BITS, STOP BITS , FLOW CONTROL etc.
4) Transfer characet or strings to host / slave.
*/

//EXAMPLE TO COMMUNICATE AXF BOARD 

#include "mbed.h"

// 0 - Rx - PA_0   : Board Tx ___ Arduino Connector socket >>> First_pin _Orange  -- If FTDI CABLE USE
// 1 - Tx - PA_1   : Board Rx ____ Arduino connector socket  >>> Second_pin _red  -- If FTDI CABLE USE

Serial UT(PA_0,PA_1);  //UART PIN DECLARATION



int main()
{
UT.baud(57600);  //BAUD RATE SETTING
UT.format(8,Serial::None,1);   //FORMAT OF UART COMMUNICATION

UT.putc('T');  //ENTER IN TEST MODE  -- SLAVE BOARD ENTER INTO TEST MODE
ThisThread::sleep_for(1000);
UT.putc('d');   // RED LED OF SLAVE BOARD ON
ThisThread::sleep_for(5000);
UT.putc('b');  // RED LED OF SLAVE BOARD OFF

UT.putc('Q');  //QUIT FROM TEST MODE -- NORMAL MODE SELECT
}
